Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 214554 - net-wireless/blueman - new ebuild
Summary: net-wireless/blueman - new ebuild
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Tiziano Müller
URL: http://blueman.tuxfamily.org/
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2008-03-24 17:00 UTC by Peter Tworek
Modified: 2010-06-30 12:17 UTC (History)
13 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
net-wireless/blueman-0.3 ebuild (blueman-0.3.ebuild,760 bytes, text/plain)
2008-03-24 17:02 UTC, Peter Tworek
Details
updated version of the blueman-0.3 ebuild (blueman-0.3.ebuild,916 bytes, text/plain)
2008-03-31 15:55 UTC, Peter Tworek
Details
net-wireless/blueman svn ebuild (blueman-9999.ebuild,938 bytes, text/plain)
2008-04-02 17:24 UTC, Peter Tworek
Details
blueman 0.5 ebuild (blueman-0.5.ebuild,1.28 KB, text/plain)
2008-10-31 15:55 UTC, M. B.
Details
reworked ebuild (blueman-0.5.ebuild,727 bytes, text/plain)
2008-11-06 14:49 UTC, M. B.
Details
another blueman-9999 (blueman-9999.ebuild,653 bytes, text/plain)
2009-01-17 13:06 UTC, Dmitri Bogomolov
Details
blueman-9999.ebuild (blueman-9999.ebuild,729 bytes, text/plain)
2009-02-06 23:58 UTC, James Le Cuirot
Details
config for D-Bus to punch some holes in security to make blueman work. (bluetooth.conf,830 bytes, text/plain)
2009-02-08 16:12 UTC, hash
Details
new ebuild for blueman-svn (blueman-9999.ebuild,1.78 KB, text/plain)
2009-03-20 15:40 UTC, hash
Details
blueman-1.21.ebuild (blueman-9999.ebuild,1.76 KB, text/plain)
2010-03-04 20:19 UTC, Haze
Details
blueman-1.21.ebuild (blueman-1.21.ebuild,1.58 KB, text/plain)
2010-03-04 20:23 UTC, Haze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Tworek 2008-03-24 17:00:34 UTC
Description taken from project's website:

Blueman is a GTK+ bluetooth management utility for GNOME using bluez dbus backend. The aim is to create a full featured graphical bluetooth manager for Linux.

Features:

    * Easy to use interface
    * Storing Favourite devices
    * Send files
    * Browse files on devices
    * List all seen devices
    * View Local/Remote Device information
    * View transfer speeds and link quality
    * Configure local devices
    * Manage Pairing (Bonding)
    * Host/Connect to Personal Area Networks
    * Bind services to /dev/rfcomm ports, for eg. connecting via gprs
    * Connect and receive connections from: audio, network, input and serial devices 

Reproducible: Always

Steps to Reproduce:
Comment 1 Peter Tworek 2008-03-24 17:02:12 UTC
Created attachment 147138 [details]
net-wireless/blueman-0.3 ebuild

Ebuild for the latest stable version of blueman.
Comment 2 Andrea Rizzolo 2008-03-30 16:21:24 UTC
you should fix a bit the dependencies. I mean, it compiles without gnome, but its pretty useless without it. browse action requires nautilus, send action requires gnome-obex-send..
Comment 3 Peter Tworek 2008-03-31 15:55:40 UTC
Created attachment 147857 [details]
updated version of the blueman-0.3 ebuild

- added some additional runtime dependecies
- fixed wrong icon path in blueman.desktop file
Comment 4 Peter Tworek 2008-04-02 17:24:48 UTC
Created attachment 148109 [details]
net-wireless/blueman svn ebuild
Comment 5 Balint Dobai-Pataky 2008-07-23 10:19:19 UTC
Blueman 0.5 Released
Comment 6 Andrey A. Ugolnik 2008-09-20 10:13:00 UTC
Blueman required Bluez Patches available at http://download.tuxfamily.org/blueman/bluez_patches.tar.gz
Comment 7 M. B. 2008-10-31 15:55:54 UTC
Created attachment 170410 [details]
blueman 0.5 ebuild

0.5 needed a few tweaks to get running; depends on http://bugs.gentoo.org/show_bug.cgi?id=206606 and pyrex-0.9.5.1a by now.

I didn't change for now obsolete deps, though.
Comment 8 M. B. 2008-10-31 15:57:16 UTC
PS: i did not pay much attention to the bluez-patches, as it seems these are only necessary for older (= outdated) releases of bluez.
Comment 9 M. B. 2008-11-06 14:49:47 UTC
Created attachment 170920 [details]
reworked ebuild

I tiedied the ebuild up, especially adding distutils to the inherit let me remove lots.

Please someone check the deps. I am too lazy for it right now, but it works fine this way for me. The ones I've added compared to version 0.3 are definitely necessary, though.
Comment 10 Andrey A. Ugolnik 2009-01-12 07:32:51 UTC
emerge: there are no ebuilds to satisfy ">=dev-python/python-distutils-extra-1.91.2".
Comment 11 Denis Demidov 2009-01-12 08:45:41 UTC
(In reply to comment #10)
> emerge: there are no ebuilds to satisfy
> ">=dev-python/python-distutils-extra-1.91.2".
> 

See comment #7; bug 206606 contains ebuild for dev-python/python-distutils-extra-1.91.1 (which I had to rename to 1.91.2)

Comment 12 Dmitri Bogomolov 2009-01-17 13:06:50 UTC
Created attachment 178785 [details]
another blueman-9999

1. You lost dev-python/dbus-python (which implies dev-python/pyrex)
2. Why not to inherit distutils like in other ebuilds?
Comment 13 James Le Cuirot gentoo-dev 2009-02-06 23:58:24 UTC
Created attachment 181205 [details]
blueman-9999.ebuild

Here's an ebuild for the bluez-4 version. You're supposed to use eautoreconf instead of autogen.sh but the former fails for some reason. Not 100% sure about those dependencies but I think they're a bit better now. I can't get this to run though. Some kind of D-Bus permissions error. Any help appreciated.

_________
SetAdapter (/usr/lib64/python2.5/site-packages/blueman/gui/DeviceList.py:256)
None 
ERROR:dbus.proxies:Introspect error on org.bluez:/: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination "org.bluez")
Traceback (most recent call last):
  File "/usr/bin/blueman-manager", line 258, in <module>
    Blueman()
  File "/usr/bin/blueman-manager", line 138, in __init__
    self.List = ManagerDeviceList(adapter=self.Config.props.last_adapter, inst=self)
  File "/usr/lib64/python2.5/site-packages/blueman/gui/manager/ManagerDeviceList.py", line 66, in __init__
    DeviceList.__init__(self, adapter, data)
  File "/usr/lib64/python2.5/site-packages/blueman/gui/DeviceList.py", line 114, in __init__
    self.SetAdapter(adapter)
  File "/usr/lib64/python2.5/site-packages/blueman/gui/DeviceList.py", line 271, in SetAdapter
    self.Adapter = self.Manager.GetAdapter(adapter)
  File "/usr/lib64/python2.5/site-packages/blueman/bluez/utils.py", line 28, in warp
    raise errors.parse_dbus_error(exception)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.bluez.Manager" member "DefaultAdapter" error name "(unset)" destination "org.bluez")
Comment 14 hash 2009-02-08 16:12:23 UTC
Created attachment 181326 [details]
config for D-Bus to punch some holes in security to make blueman work.
Comment 15 hash 2009-02-08 16:13:10 UTC
To clear D-Bus permissions error I've replaced "/etc/dbus-1/system.d/bloutooth.conf" from bluez-4.28 to the one I've attached.
It's from forums, from some old discussion and I don't remember who is original author.
Comment 16 James Le Cuirot gentoo-dev 2009-02-08 16:42:50 UTC
Thanks, the applet actually seems to work now. It's not perfect, for example, sending files doesn't work, but it is supposed to be a work in progress anyway.
Comment 17 Tiziano Müller gentoo-dev 2009-03-01 09:11:25 UTC
Grabbing that bug :)
Comment 18 Tiziano Müller gentoo-dev 2009-03-01 09:11:36 UTC
Version 1.02 is in the tree, but still p.masked due to p.masked deps.
Comment 19 h.schraepler 2009-03-01 14:52:55 UTC
Can you give the program free for x86??
Comment 20 James Le Cuirot gentoo-dev 2009-03-01 16:30:36 UTC
It's all working much better now since installing ConsoleKit and PolicyKit. Sending files actually works. Still need to launch a ConsoleKit session manually but that's another issue for another bug report.
Comment 21 Tiziano Müller gentoo-dev 2009-03-01 19:03:49 UTC
@James: make sure you have pambase built with USE=consolekit.
Comment 22 James Le Cuirot gentoo-dev 2009-03-02 10:30:50 UTC
Yeah. I've created bug #260842 for this.
Comment 23 hash 2009-03-20 15:40:38 UTC
Created attachment 185633 [details]
new ebuild for blueman-svn

I've made this from blueman-1.2.ebuild with help from last svn ebuild.
The changes are:
Added obex use flag with obex-data-server dependency.
Removed dependency from x11-misc/notification-daemon as there is already dependency on dev-python/notify-python that depend on x11-libs/libnotify which depend on some notification-daemon, so that there is no strict dependency on x11-misc/notification-daemon and some one preferring x11-misc/notification-daemon-xfce or any other would be appeared notification-daemon alternative will not be needed to use something not the way he/sh likes.
Removed depend on dbus as there is already dbus-python which is already depend on dbus.(correct me here if I'm wrong)
Added dependency on gnome-extra/policykit-gnome as 1.02 is need that.
Comment 24 Haze 2010-03-04 20:19:55 UTC
Created attachment 222093 [details]
blueman-1.21.ebuild
Comment 25 Haze 2010-03-04 20:23:13 UTC
Created attachment 222095 [details]
blueman-1.21.ebuild
Comment 26 Haze 2010-03-04 20:24:35 UTC
(In reply to comment #24)
> Created an attachment (id=222093) [details]
> blueman-1.21.ebuild
> 

Please remove this ebuild. I've posted a wrong file/ebuild. Thanks! 
Comment 27 Jack 2010-05-26 09:12:33 UTC
i have blueman 1.21 

and i get errors like

jack@jacktop ~ $ blueman-adapters 
org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 1 matched rules; type="method_call", sender=":1.19" (uid=1000 pid=5510 comm="/usr/bin/python2.6) interface="org.bluez.Manager" member="ListAdapters" error name="(unset)" requested_reply=0 destination="org.bluez" (uid=0 pid=2810 comm="/usr/sbin/bluetoothd))
org.bluez owner changed to  :1.0

the fix from Comment #14  does not wok for me
Comment 28 Jan Buecken 2010-06-30 12:13:40 UTC
Hey, the blueman-1.21 ebuild needs to be fixed:

 * Deprecation Warning: Not passing of paths to python_mod_cleanup() is deprecated and will be
 * disallowed on 2010-09-01. Call python_mod_cleanup() with paths to Python modules.
 * The ebuild needs to be fixed. Please report a bug, if it has not been already reported.


 * Deprecation Warning: python_version() is deprecated and will be banned on 2010-07-01.
 * Use PYTHON() instead of python variable. Use python_get_*() instead of PYVER* variables.
 * The ebuild needs to be fixed. Please report a bug, if it has not been already reported.


@Haze: (in replay to comment 24 / 26) I believe it is not possible to delete the blueman-9999.ebuild, but you can set it to obsolete yourself.
Comment 29 Jan Buecken 2010-06-30 12:17:49 UTC
Sorry, don't saw that there is a newer one in portage, but blueman-1.21-r1.ebuild also have
 * Deprecation Warning: Not passing of paths to python_mod_cleanup() is deprecated and will be
 * disallowed on 2010-09-01. Call python_mod_cleanup() with paths to Python modules.
 * The ebuild needs to be fixed. Please report a bug, if it has not been already reported.